### Signal

# Gio VolumeMonitor::mount-pre-unmount

#### Declaration

    void
    mount_pre_unmount (
      GVolumeMonitor* self,
      GMount* mount,
      gpointer user_data
    )

#### Description

May be emitted when a mount is about to be removed.

This signal depends on the backend and is only emitted if GIO was used to unmount.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`mount`

  Type: `GMount`

  A `GMount` that is being unmounted.

  The data is owned by the caller of the function.